#
# spec file for package golang-github-fitstar-falcore
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Graham Anderson <graham@andtech.eu>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-github-fitstar-falcore
Version:        0.0.0+git20150708.286078d
Release:        1.1
Summary:        Falcore is a filter pipiline based HTTP server library
License:        MIT
Group:          Development/Languages/Other
Url:            http://github.com/fitstar/falcore
Source0:        falcore-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:	xz
Provides:	go-falcore = %{version}
Obsoletes:	go-falcore < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}


%description
Falcore is a framework for constructing high performance, modular HTTP servers in Golang.
Falcore is a filter pipeline based HTTP server library. You can build arbitrarily
complicated HTTP services by chaining just a few simple components

%gosrc_package

%prep
%setup -q -n falcore-%{version}

%build
%goprep github.com/fitstar/falcore
%gobuild router filter

%install
%goinstall github.com/fitstar/falcore
%gosrc

%files
%defattr(-,root,root,-)
%doc README.md LICENSE.md examples
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-github-fitstar-falcore
- update version 0.0.0+git20150708.286078d
- use golang-packaging for packaging
* Tue Aug 13 2013 speilicke@suse.com
- Update to version 0.0.0+git20130807.da39923:
  + Upstream provides no changelog
- Add _service file
* Tue Aug 13 2013 speilicke@suse.com
- Use %%{go_exclusivearch} macro
* Sat Jun 29 2013 graham@andtech.eu
- Update to latest git version
* Sun Aug 19 2012 graham@andtech.eu
- Issue #29
  - Mime type lookup fails for RHEL6 and it's clones. mime types
    tested for are now guaranteed to be in the lookup table.
* Tue Aug 14 2012 graham@andtech.eu
- Support for sendfile on linux/bsd
  Additional net/http handler
  Windows build fixes
* Mon Apr  2 2012 graham@andtech.eu
- initial package
